﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MasterTabSimatic.ascx.cs" Inherits="MasterTabSimatic" %>
<%@ Register TagPrefix="ig" Namespace="Infragistics.Web.UI.NavigationControls" Assembly="Infragistics35.Web.v11.1, Version=11.1.20111.2064, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<ig:WebTab ID="CABTabStrip1" runat="server" TabOrientation="Horizontal" SelectedIndex="0"
    DisplayMode="SingleRow" meta:resourcekey="CABTabStrip1Resource1" Height="99%" TabsOverflow="Reduce" EnableAjaxViewState="true"
    OnSelectedIndexChanged="CABTabStrip1_OnSelectedIndexChanged" Width="100%">
    <Tabs>
        <%--PageViewID="NavigationView"--%>
        <ig:ContentTabItem runat="server"  Text="NavigationTabTitle" AutoSize="True">
            <Template>
                <ig:WebSplitter DynamicResize="true" ID="NavigationSplitter" Orientation="Horizontal" 
                    runat="server" Height="100%" Width="100%" EnableViewState="true" ResizeWithBrowser="true">
                    <Panes>
                        <ig:SplitterPane runat="server" CollapsedDirection="PreviousPane" Size="50%" ScrollBars="Auto" MinSize="0%" >
                            <Template>
                                <ig:WebDataTree ID="NavigationDetails" runat="server" 
                                    InitialExpandDepth="1" DataSourceID="NavigationDetailsDataSource">
                                    <DataBindings>
                                        <ig:DataTreeNodeBinding DataMember="SiteMapNode" TextField="Text" ToolTipField="ToolTip"
                                            ImageUrlField="ImageUrl" NavigateUrlFields="NavigateUrl"/>
                                    </DataBindings>
                                </ig:WebDataTree>
                                <asp:XmlDataSource runat="server" ID="NavigationDetailsDataSource" DataFile="~/App_Data/XMLFile.xml"
                                                            XPath="SiteMapNodes/SiteMapNode" />
                            </Template>
                        </ig:SplitterPane>
                        <ig:SplitterPane runat="server" CollapsedDirection="PreviousPane" Size="50%" ScrollBars="Auto" MinSize="0%">
                            <Template>
                                <ig:WebExplorerBar ID="NavigationPanelBar" runat="server" Width="100%" GroupExpandAction="ButtonClick"
                                    OnPreRender="NavigationPanelBar_PreRender" GroupExpandBehavior="AllExpanded" EnableSelection="true"
                                    InitialDataBindDepth="0" EnableAjaxViewState="true" DataSourceID="NavigationPanelBarDataSource">
                                    <DataBindings>
                                        <ig:ExplorerBarItemBinding DataMember="SiteMapNode" TextField="Text" ToolTipField="ToolTip"
                                            ImageUrlField="ImageUrl" ValueField="NavigateUrl" NavigateUrlField="NavigateUrl" />
                                    </DataBindings>
                                </ig:WebExplorerBar>
                                <asp:XmlDataSource ID="NavigationPanelBarDataSource" runat="server" DataFile="~/App_Data/XMLFile.xml"
                                    XPath="/Nodes/Node"></asp:XmlDataSource>
                            </Template>
                        </ig:SplitterPane>
                    </Panes>
                </ig:WebSplitter>
            </Template>
        </ig:ContentTabItem>
    </Tabs>
</ig:WebTab>
