﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="WebSplitter.aspx.cs" Inherits="WebSplitter" %>

<%@ Register Src="~/MasterMenu.ascx" TagName="MasterMenu" TagPrefix="msuc" %>
<%@ Register Src="~/MasterTabSimatic.ascx" TagName="MasterTab" TagPrefix="msuc" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="App_Themes/StyleSheet.css" type="text/css" rel="Stylesheet" />
</head>
<body>
    <form id="form1" runat="server">
    <ig:WebScriptManager ID="WebScriptManager1" runat="server" EnablePageMethods="True"
        EnableScriptGlobalization="True">
    </ig:WebScriptManager>
    <div id="wrapperDiv">
        <input type="hidden" id="HiddenField1" runat="server" value="false" />
        <div id="Topheader">
            <div style="display: inline; float: left; padding-left: 5px;">
                <asp:Label ID="Label4" runat="server" Text="PortalTitle"></asp:Label>
            </div>
            <div style="display: inline; float: right; padding-right: 5px; width: 50%">
                <div style="padding-left: 50%; float: left; width: 50%;">
                    <msuc:MasterMenu ID="MasterMenu" runat="server" />
                </div>
            </div>
        </div>
        <div id="TitleBarDiv">
            <div style="display: inline; padding-top: 10px; float: left; padding-left: 5px; vertical-align: middle">
                <asp:Image runat="server" ID="SiemensLogo" ImageUrl="~/images/logo_siemens.gif" ImageAlign="Left" />
            </div>
            <div style="display: inline; padding-top: 10px; float: left; padding-left: 25px;
                vertical-align: middle">
                <asp:Image runat="server" ID="ProjectLogo" ImageUrl="~/images/logoempty.gif" ImageAlign="Left" />
            </div>
            <div id="LogoToned" style="height: 42px; display: inline; padding-top: 8px; float: right;
                padding-right: 5px; vertical-align: middle">
            </div>
        </div>
        <div id="main" style="position: absolute; top: 0px; height: inherit;">
            <div style="position: relative;">
                <img style="height: 64px; visibility: hidden;" src="" alt="" />
            </div>
            <div style="position: relative; height: 100%;">
                <ig:WebSplitter ID="MasterPageSplitter" CssClass="MasterPageSplitter" EnableViewState="true"
                    Orientation="Vertical" Height="100%" runat="server" DynamicResize="true" ResizeWithBrowser="true">
                    <Panes>
                        <%--ID="TabView"--%>
                        <ig:SplitterPane runat="server" CollapsedDirection="PreviousPane" MaxSize="250px"
                            MinSize="0%" ScrollBars="auto" Size="20%">
                            <Template>
                                <msuc:MasterTab ID="MasterTab" runat="server" />
                            </Template>
                        </ig:SplitterPane>
                        <%--ID="ContentPane"--%>
                        <ig:SplitterPane runat="server" ScrollBars="Auto" Size="80%">
                            <Template>
                                <ig:WebSplitter ID="InnerSplitter" Orientation="Horizontal" runat="server" DynamicResize="true"
                                    ResizeWithBrowser="true">
                                    <Panes>
                                        <%--ID="TopPane" --%>
                                        <ig:SplitterPane runat="server" ScrollBars="Auto">
                                            <Template>
                                                <div id="leftpane">
                                                    <div id="sitemap">
                                                    </div>
                                                    <div id="content">
                                                        <div id="SplashScreen">
                                                        </div>
                                                    </div>
                                                </div>
                                            </Template>
                                        </ig:SplitterPane>
                                        <%--ID="BottomPane"--%>
                                        <ig:SplitterPane runat="server" Collapsed="true" MinSize="0px" Locked="true">
                                        </ig:SplitterPane>
                                    </Panes>
                                </ig:WebSplitter>
                            </Template>
                        </ig:SplitterPane>
                    </Panes>
                </ig:WebSplitter>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
